GET
/api/v1/protocols/synapse/leaderboardSynapse_GetSynapseLeaderboard
- Authentication
- public
- Cache policy
- public-short
- Success and errors
- 200, 400, 404, 500, 503
- Stability
- v1 stable contract
OpenAPI operation
{
"operationId": "Synapse_GetSynapseLeaderboard",
"summary": "Read the versioned Synapse-specific leaderboard",
"tags": [
"Synapse"
],
"parameters": [],
"security": [
{},
{
"apiKeyAuth": []
}
],
"responses": {
"200": {
"description": "Success",
"content": {
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"required": [
"data",
"meta"
],
"properties": {
"data": {
"type": "object",
"properties": {
"methodologyVersion": {
"type": "string"
},
"methodologyStatement": {
"type": "string"
},
"windowStartsAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"windowEndsAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"projectedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"rows": {
"type": "array",
"items": {
"type": "object",
"properties": {
"rank": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"entityPublicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"canonicalSlug": {
"type": "string"
},
"name": {
"type": "string"
},
"scorePpm": {
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
"components": {
"type": "object",
"properties": {
"reputationPpm": {
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
"usagePpm": {
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
"capabilityBreadthPpm": {
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
"serviceBreadthPpm": {
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
"longevityPpm": {
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
"freshnessPpm": {
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
"endpointHealthPpm": {
"type": "integer",
"minimum": 0,
"maximum": 1000000
}
},
"required": [
"reputationPpm",
"usagePpm",
"capabilityBreadthPpm",
"serviceBreadthPpm",
"longevityPpm",
"freshnessPpm",
"endpointHealthPpm"
],
"additionalProperties": false
},
"reputationScore": {
"type": "string",
"pattern": "^(?:0|[1-9][0-9]*)$"
},
"totalCalls": {
"type": "string",
"pattern": "^(?:0|[1-9][0-9]*)$"
},
"capabilityCount": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"serviceCount": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"freshestAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
}
},
"required": [
"rank",
"entityPublicId",
"canonicalSlug",
"name",
"scorePpm",
"components",
"reputationScore",
"totalCalls",
"capabilityCount",
"serviceCount",
"freshestAt"
],
"additionalProperties": false
}
}
},
"required": [
"methodologyVersion",
"methodologyStatement",
"windowStartsAt",
"windowEndsAt",
"projectedAt",
"rows"
],
"additionalProperties": false
},
"meta": {
"type": "object",
"additionalProperties": true,
"required": [
"requestId",
"schemaVersion",
"buildVersion",
"generatedAt",
"freshness"
],
"properties": {
"requestId": {
"type": "string",
"format": "uuid"
},
"schemaVersion": {
"type": "string"
},
"buildVersion": {
"type": "string"
},
"generatedAt": {
"type": "string",
"format": "date-time"
},
"freshness": {
"type": "object",
"additionalProperties": false,
"required": [
"projectedAt",
"sourceWatermark"
],
"properties": {
"projectedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"sourceWatermark": {
"type": [
"string",
"null"
]
}
}
}
}
}
}
}
}
}
},
"400": {
"description": "invalid request",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"404": {
"description": "not found",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"500": {
"description": "internal error",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"503": {
"description": "dependency unavailable",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
}
},
"x-auth-mode": "public",
"x-cache-policy": "public-short",
"x-required-scopes": [
"agents:read"
],
"x-rate-cost": 3,
"x-stability": "STABLE"
}